Subject: bug#28807: 25.2; dired-actual-switches` and .dir-locals.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Jul 2021 16:14:07 +0200

leo <[email-masked]> writes:

> * Create a subirectory `subdir` inside `mydir`
> * Create some files with different timestamp and different names in there.
>
> Bug 1: .dir-locals.el not applied the first time
> ================================================
>
> * Launch `emacs -Q`
> * Open `mydir` via `M-x find-file` as a dired buffer
> * Observe that `mydir` is **not** in date order sorted
> * Kill `mydir` buffer.
> * Open again `mydir` via `M-x find-file` as a dired buffer
> * Observe that `mydir` **is**  in date order sorted (as it should be)
>
> Bug 2: (subdirs . nil) rule not obeyed
> ======================================
>
> * Stay in that `emacs -Q` session
> * Kill `mydir` buffer.
> * Open `mydir/subdir` via `M-x find-file` as a dired buffer
> * Observe that `mydir` **is**  in date order sorted (as it **not** should be)

I can reproduce some of this in various older Emacs versions, but this
seems to work fine for me in Emacs 28 (and I remember doing some work in
this area some months ago), so I'm going to go ahead and guess that this
has been fixed, and I'm closing this bug report.  If you're still seeing
this issue, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no